net.corda.contracts.asset

## Class Commands.Exit

- net.corda.contracts.asset.Cash.Commands.Exit

- All Implemented Interfaces:
    CommandData, FungibleAsset.Commands, Commands.Exit<T>
  Enclosing interface:
    Cash.Commands

      public static class Commands.Exit
      implements Cash.Commands, Commands.Exit<T>

  A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.contracts.asset.Cash.Commands

      `Commands.Exit, Commands.Issue, Commands.Move`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exit(Amount<net.corda.core.contracts.Issued> amount)` A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<net.corda.core.contracts.Issued>` | `component1()`
    `Commands.Exit` | `copy(Amount<net.corda.core.contracts.Issued> amount)` A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.
    `boolean` | `equals(java.lang.Object p)`
    `Amount<net.corda.core.contracts.Issued>` | `getAmount()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.Commands.Exit

      `getAmount`

- - ### Constructor Detail

    - #### Exit

          public Exit(Amount<net.corda.core.contracts.Issued> amount)

      A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.

  - ### Method Detail

    - #### getAmount

          public Amount<net.corda.core.contracts.Issued> getAmount()

    - #### component1

          public Amount<net.corda.core.contracts.Issued> component1()

    - #### copy

          public Commands.Exit copy(Amount<net.corda.core.contracts.Issued> amount)

      A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)